## SniperClassic Beta
BETA RELEASE: Everything (including multiplayer) works fine, but the animations/visuals need polish.
When the mod comes out of beta, Sniper and his alt skills will be locked by default, but there will be a config option to automatically unlock everything.

The Sniper is a long-range DPS who uses powerful charged attacks to take down big targets. His Spotter drone allows him to analyze enemies, causing heavy attacks to transfer their damage to nearby enemies when hit.
[![](https://i.imgur.com/PgrW5ED.png)]()
[![](https://i.imgur.com/n8K5qWj.png)]()


## IMPORTANT: READ THIS
- All players need the mod in multiplayer.
- Scope input settings can be found in the config.

## To-do list
Full Release Goals:
- Alt M2
- Fix ragdoll bugging out
- Polish anims
- Select anim
- Make Mark's gun model show up in character select.
    - Make some adjustments to the Mark's gun model.
- Slightly change gun model when choosing between Snipe and Hard Impact
- Fix Sniper HUD showing through Command/Scrapper menus
- Investigate laser sight positioning when scoped
- Mastery alt model
- Grand Mastery alt model
- Add VFX for Spotter
- Fix hoof/capacitor/armor plate displays
- Tweak skill icons
- Fix certain items obstructing scope view
- Fix scope not covering the screen on ultrawide resolutions
- Add item displays for anniversary update items

## Installation
Place SniperClassic.dll in /Risk of Rain 2/BepInEx/plugins/
Settings can be changed in BepInEx/config/com.Moffein.SniperClassic.cfg

## Credits
Moffein - Code
LucidInceptor - Models
Timeweeper - Chiropractor, Animations, Code
Rob - Animations, Code
Swuff - Character select icon outlines, animation help
Papazach - Skill Icons

Big thanks to Rob and Timesweeper for helping me with all the code-related stuff to get Lucid's models in-game, along with doing the animations! You guys are lifesavers! Also huge thanks to Lucid for all the models!

Sounds taken from Dirty Bomb, TF2, and https://www.youtube.com/watch?v=aoBWUs8poYU

## Changelog

0.6.7

- Fixed survivor select position.

0.6.6

- Moved back to R2API.

0.6.5

- Remembered to include dll this time

0.6.4

- Fixed Hard Impact disabling jumping even after unscoping.
- Fixed missing Spotter debuff icon.

0.6.3

- Fixed item displays.
	- Anniversary update item displays will come later.

0.6.2

- BUG: Item displays currently broken. Will fix soon.
- Mod moved from R2API to EnigmaticThunder.
- Charge no longer affects force for all primaries.
- Snipe force increased 500 -> 2000 (same as MUL-T Rebar)
- Hard Impact force increased 750 -> 2500
- Mark force increased 250 -> 1000
- Combat Training duration reduced 0.5 -> 0.4
- Combat Training initial speed increased 5 -> 6
- Spotter Chain Lightning damage increased from 40% TOTAL -> 50% TOTAL
- Spotter armor debuff increased -20 -> -25

0.6.1

- Moved Utility auto-reload behind an Authority check (just some under-the-hood networking stuff).
- Fixed incorrect version numbering.

0.6.0

- Rewrote code for all primaries.
	- This fixes the bug where the skill icon would get stuck as the reload icon in multiplayer.
	- Reloading no longer cancels sprint (but firing your weapon still does).
	- Holding down the fire button after reloading will make you fire as soon as your next shot is ready.
	- Reload bar no longer lingers when frozen mid-reload.
	- Scope charge now properly stays at 0 while reloading instead of appearing to gain charge before getting reset.
- Improved reload sound syncing in multiplayer.
- The reload bar now turns red when performing a bad reload on all primaries.
- Snipe bolt pull time increased from 0.4s to 0.5s
- Mark empty ping sound now plays in multiplayer.
- Mark damage reduced 300% -> 280%
- Heavy Snipe renamed to Hard Impact.
- Hard Impact bolt pull time increased from 0.4s to 0.75s
- Duck and Cover renamed to Combat Training.
- Increased default scroll wheel zoom speed from 20 -> 30
- Charged shot sound now plays in multiplayer.

0.5.4

- Visions of Heresy is now affected by the scope.
	- Scoping in will make Visions cost 2 ammo, but deal double damage regardless of charge.
	- Scope Charge multiplier is applied on top of the scope damage multiplier of Visions.
	
0.5.3
- Tweaked skill icons.
- Firing animation tweaks.
- Fixed scope movement penalties not applying in multiplayer.
- Roll renamed to Duck and Cover.
- Duck and Cover distance reduced. Re-enabled trimping on roll (was broken due to some unused testing stuff from pre-release).
- Backflip renamed to Military Training.
- Backflip is now the default utility.
- Spotter: Feedback proc coefficient increased 0.33 -> 0.5

0.5.2

- Fixed Crowbar/Rejuvenation Rack/Elemental Band displays
- Moved Resonance Disk display to Sniper's shoulder.

0.5.1

- Adjusted/added a lot of animations
- Added spotter idle animations
- Added new Backflip utility
- Added new bullet tracers
- Added work in progress ragdoll

0.5.0

- Release
